package com.eactive.eai.batch.doc;

import java.io.Serializable;

public class Header implements Serializable
{

	private static final long serialVersionUID = 1L;
	String   uUID              ;
	String   tRX_ID            ;
	String   layerCode         ;
	String   processType       ;
	String   processCode       ;
	String   processName       ;
	String   institutionCode   ;
	String   institutionName   ;
//	String   instituaionType   ;
	String   jobCode           ;
	String   scheduleCode      ;
	String   fileName          ;
	String   filePath          ;
	String   userID            ;
	String   userName          ;
	String   userPassword      ;
	String   scheduleSTime     ;
	String   scheduleETime     ;
	String   renamedFileName   ;
	String   flowCode          ;
	String   systemConnCode    ;
	long     fileSize          ;
	int      blockSize         ;
	int      sequenceSize      ;
	String   remoteIP          ;
	String   port              ;
	String   batchStartTime    ;
	String   requestResponse   ;
	String   sendRecv          ;
	String   ruleCode          ;
	String   ruleDesc          ;
//	String   protocol          ;
	String   bizCode           ;
	String   fileErrorPath     ;
	int      packetSize        ;
	int      recLen            ;
	long     totRecCnt         ;
	String   baseDate          ;
	String   eventScheduleID   ;
	String   hdrInfoName       ;
	String   recvUserID        ;
	String   recvUserPassword  ;
	boolean  reqSendRetryFlag  ;
	public String getUUID() {
		return uUID;
	}
	public void setUUID(String uUID) {
		this.uUID = uUID;
	}
	public String getTRXID() {
		return tRX_ID;
	}
	public void setTRXID(String tRX_ID) {
		this.tRX_ID = tRX_ID;
	}
	public String getLayerCode() {
		return layerCode;
	}
	public void setLayerCode(String layerCode) {
		this.layerCode = layerCode;
	}
	public String getProcessType() {
		return processType;
	}
	public void setProcessType(String processType) {
		this.processType = processType;
	}
	public String getProcessCode() {
		return processCode;
	}
	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}
	public String getProcessName() {
		return processName;
	}
	public void setProcessName(String processName) {
		this.processName = processName;
	}
	public String getInstitutionCode() {
		return institutionCode;
	}
	public void setInstitutionCode(String institutionCode) {
		this.institutionCode = institutionCode;
	}
	public String getInstitutionName() {
		return institutionName;
	}
	public void setInstitutionName(String institutionName) {
		this.institutionName = institutionName;
	}
//	public String getInstituaionType() {
//		return instituaionType;
//	}
//	public void setInstituaionType(String instituaionType) {
//		this.instituaionType = instituaionType;
//	}
	public String getJobCode() {
		return jobCode;
	}
	public void setJobCode(String jobCode) {
		this.jobCode = jobCode;
	}
	public String getScheduleCode() {
		return scheduleCode;
	}
	public void setScheduleCode(String scheduleCode) {
		this.scheduleCode = scheduleCode;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getFilePath() {
		return filePath;
	}
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	public String getUserID() {
		return userID;
	}
	public void setUserID(String userID) {
		this.userID = userID;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getUserPassword() {
		return userPassword;
	}
	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}
	public String getScheduleSTime() {
		return scheduleSTime;
	}
	public void setScheduleSTime(String scheduleSTime) {
		this.scheduleSTime = scheduleSTime;
	}
	public String getScheduleETime() {
		return scheduleETime;
	}
	public void setScheduleETime(String scheduleETime) {
		this.scheduleETime = scheduleETime;
	}
	public String getRenamedFileName() {
		return renamedFileName;
	}
	public void setRenamedFileName(String renamedFileName) {
		this.renamedFileName = renamedFileName;
	}
	public String getFlowCode() {
		return flowCode;
	}
	public void setFlowCode(String flowCode) {
		this.flowCode = flowCode;
	}
	public String getSystemConnCode() {
		return systemConnCode;
	}
	public void setSystemConnCode(String systemConnCode) {
		this.systemConnCode = systemConnCode;
	}
	public long getFileSize() {
		return fileSize;
	}
	public void setFileSize(long fileSize) {
		this.fileSize = fileSize;
	}
	public int getBlockSize() {
		return blockSize;
	}
	public void setBlockSize(int blockSize) {
		this.blockSize = blockSize;
	}
	public int getSequenceSize() {
		return sequenceSize;
	}
	public void setSequenceSize(int sequenceSize) {
		this.sequenceSize = sequenceSize;
	}
	public String getRemoteIP() {
		return remoteIP;
	}
	public void setRemoteIP(String remoteIP) {
		this.remoteIP = remoteIP;
	}
	public String getPort() {
		return port;
	}
	public void setPort(String port) {
		this.port = port;
	}
	public String getBatchStartTime() {
		return batchStartTime;
	}
	public void setBatchStartTime(String batchStartTime) {
		this.batchStartTime = batchStartTime;
	}
	public String getRequestResponse() {
		return requestResponse;
	}
	public void setRequestResponse(String requestResponse) {
		this.requestResponse = requestResponse;
	}
	public String getSendRecv() {
		return sendRecv;
	}
	public void setSendRecv(String sendRecv) {
		this.sendRecv = sendRecv;
	}
	public String getRuleCode() {
		return ruleCode;
	}
	public void setRuleCode(String ruleCode) {
		this.ruleCode = ruleCode;
	}
	public String getRuleDesc() {
		return ruleDesc;
	}
	public void setRuleDesc(String ruleDesc) {
		this.ruleDesc = ruleDesc;
	}
//	public String getProtocol() {
//		return protocol;
//	}
//	public void setProtocol(String protocol) {
//		this.protocol = protocol;
//	}
	public String getBizCode() {
		return bizCode;
	}
	public void setBizCode(String bizCode) {
		this.bizCode = bizCode;
	}
	public String getFileErrorPath() {
		return fileErrorPath;
	}
	public void setFileErrorPath(String fileErrorPath) {
		this.fileErrorPath = fileErrorPath;
	}
	public int getPacketSize() {
		return packetSize;
	}
	public void setPacketSize(int packetSize) {
		this.packetSize = packetSize;
	}
	public int getRecLen() {
		return recLen;
	}
	public void setRecLen(int recLen) {
		this.recLen = recLen;
	}
	public long getTotRecCnt() {
		return totRecCnt;
	}
	public void setTotRecCnt(long totRecCnt) {
		this.totRecCnt = totRecCnt;
	}
	public String getBaseDate() {
		return baseDate;
	}
	public void setBaseDate(String baseDate) {
		this.baseDate = baseDate;
	}
	public String getEventScheduleID() {
		return eventScheduleID;
	}
	public void setEventScheduleID(String eventScheduleID) {
		this.eventScheduleID = eventScheduleID;
	}
	public String getHdrInfoName() {
		return hdrInfoName;
	}
	public void setHdrInfoName(String hdrInfoName) {
		this.hdrInfoName = hdrInfoName;
	}
	public String getRecvUserID() {
		return recvUserID;
	}
	public void setRecvUserID(String recvUserID) {
		this.recvUserID = recvUserID;
	}
	public String getRecvUserPassword() {
		return recvUserPassword;
	}
	public void setRecvUserPassword(String recvUserPassword) {
		this.recvUserPassword = recvUserPassword;
	}
	public boolean getReqSendRetryFlag() {
		return reqSendRetryFlag;
	}
	public void setReqSendRetryFlag(boolean reqSendRetryFlag) {
		this.reqSendRetryFlag = reqSendRetryFlag;
	}
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("Header\nUUID:");
		builder.append(uUID);
		builder.append("\nTRX_ID:");
		builder.append(tRX_ID);
		builder.append("\nlayerCode:");
		builder.append(layerCode);
		builder.append("\nprocessType:");
		builder.append(processType);
		builder.append("\nprocessCode:");
		builder.append(processCode);
		builder.append("\nprocessName:");
		builder.append(processName);
		builder.append("\ninstitutionCode:");
		builder.append(institutionCode);
		builder.append("\ninstitutionName:");
		builder.append(institutionName);
		builder.append("\njobCode:");
		builder.append(jobCode);
		builder.append("\nscheduleCode:");
		builder.append(scheduleCode);
		builder.append("\nfileName:");
		builder.append(fileName);
		builder.append("\nfilePath:");
		builder.append(filePath);
		builder.append("\nuserID:");
		builder.append(userID);
		builder.append("\nuserName:");
		builder.append(userName);
		builder.append("\nuserPassword:");
		builder.append(userPassword);
		builder.append("\nscheduleSTime:");
		builder.append(scheduleSTime);
		builder.append("\nscheduleETime:");
		builder.append(scheduleETime);
		builder.append("\nrenamedFileName:");
		builder.append(renamedFileName);
		builder.append("\nflowCode:");
		builder.append(flowCode);
		builder.append("\nsystemConnCode:");
		builder.append(systemConnCode);
		builder.append("\nfileSize:");
		builder.append(fileSize);
		builder.append("\nblockSize:");
		builder.append(blockSize);
		builder.append("\nsequenceSize:");
		builder.append(sequenceSize);
		builder.append("\nremoteIP:");
		builder.append(remoteIP);
		builder.append("\nport:");
		builder.append(port);
		builder.append("\nbatchStartTime:");
		builder.append(batchStartTime);
		builder.append("\nrequestResponse:");
		builder.append(requestResponse);
		builder.append("\nsendRecv:");
		builder.append(sendRecv);
		builder.append("\nruleCode:");
		builder.append(ruleCode);
		builder.append("\nruleDesc:");
		builder.append(ruleDesc);
//		builder.append("\nprotocol:");
//		builder.append(protocol);
		builder.append("\nbizCode:");
		builder.append(bizCode);
		builder.append("\nfileErrorPath:");
		builder.append(fileErrorPath);
		builder.append("\npacketSize:");
		builder.append(packetSize);
		builder.append("\nrecLen:");
		builder.append(recLen);
		builder.append("\ntotRecCnt:");
		builder.append(totRecCnt);
		builder.append("\nbaseDate:");
		builder.append(baseDate);
		builder.append("\neventScheduleID:");
		builder.append(eventScheduleID);
		builder.append("\nhdrInfoName:");
		builder.append(hdrInfoName);
		builder.append("\nrecvUserID:");
		builder.append(recvUserID);
		builder.append("\nrecvUserPassword:");
		builder.append(recvUserPassword);
		builder.append("\nreqSendRetryFlag:");
		builder.append(reqSendRetryFlag);
		return builder.toString();
	}

}
